camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: [DISCUSS] - Drop Spring 3.1 support in Camel 2.13 onwards
Date Tue, 04 Feb 2014 14:04:52 GMT
+1

FYI, about Spring, I'm working on the "new" Spring bundles (both for 
3.2.7.RELEASE and 4.0.1.RELEASE).

Regards
JB

On 02/03/2014 03:01 PM, Claus Ibsen wrote:
> Hi
>
> In Camel 2.12 we dropped support for Spring 3.0. But shipped and
> tested with Spring 3.1.
>
> For Camel 2.13 we could drop support for Spring 3.1. And being shipped
> and tested with Spring 3.2.
>
> One reason would be that if we have spring 3.2 as minimum then we can
> use some of the new APIs it has for better controlling
> startup|shutdown of Camel in Spring apps.
>
> One issue logged recently is
> https://issues.apache.org/jira/browse/CAMEL-7156
>
> Also Spring 3.1 is EOL and SpringSource. So IMHO I think its okay for
> us to move on as well.
>
> Any thoughts?
>
>
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message